<?php
/**
 * @file
 * Page Callback for tracking.
 */

/**
 * Callback function displaying the map.
 *
 * @param object $user
 *   The user object from this livetracking page.
 *
 * @todo Feature request : More specific integration with openlayers module :
 * Register a customisable live tracking map with customisable style.
 * Here I just use the default.
 *
 * @todo CODE ! CSS and JS cannot be separated from 
 * theme('nodejs_livetracking'), ensure there is no better way to attach it
 * somewhere else.
 */
function nodejs_livetracking_track($user) {
  nodejs_send_content_channel_token('tracking_' . $user->uid, FALSE, 'tracking', $user->uid);

  // Is Nodejs server on ?
  if (module_exists('nodejs_checker')) {
    drupal_add_js(array('nodejs_checker' => array('state' => nodejs_checker_check_server())), 'setting');
  }
  // Is the tracking device connected ?
  $result = db_query("SELECT COUNT(*) FROM {nodejs_livetracking_presence} WHERE uid=:uid", array(':uid' => $user->uid))->FetchField();
  if ($result == 0) {
    $tracker = FALSE;
  }
  else {
    $tracker = TRUE;
  }

  // Render the default map from openlayers.
  $map = openlayers_render_map('livetracking_map');
  // It is important that this js file come AFTER rendering the map.
  drupal_add_js(drupal_get_path('module', 'nodejs_livetracking') . '/nodejs_livetracking.js', array('type' => 'file'));

  $params = array('map' => $map, 'tracker' => $tracker);
  return theme('nodejs_livetracking', $params);
}
