<?php

/**
 * @file
 * nodejs_livetracking theme implementation to display a single livetracking on 
 * an openlayers map.
 *
 * IMPORTANT !!! Don't remove following id attibutes : "connection" / "lat" /
 * "lon" / "timestamp" / "vitesse" / "altitude" / "vario" / "precision".
 * JAVASCRIPT USE IT.
 *
 * @param object $map
 *    opnelayers map.
 *
 * @param int $tracker
 *    Is the device connected or not : 0 or 1
 *
 * @see nodejs_livetracking.js
 *
 * @see nodejs_livetracking.css
 *
 * @todo Check how the JS and CSS that must always come along with this file 
 * can be automaticaly attached !   
 */
?>

<div id="mapcontainer">
<?php print $map; ?>
</div>

<div id="info">
  <div id="info-left" class="info-col">
    <div id="connection">
    <?php if ($tracker == 0): ?>
    <?php print "<div id='connected' class='hidden'>" . t('Tracking device connected') . "</div>"; ?>
    <?php print "<div id='disconnected'>" . t('Tracking device disconnected') . "</div>"; ?>
    <?php else: ?>
    <?php print "<div id='connected'>" . t('Tracking device connected') . "</div>"; ?>
    <?php print "<div id='disconnected' class='hidden'>" . t('Tracking device disconnected') . "</div>"; ?>
    <?php endif; ?>
    </div>
    <div id='follow'> <input type='checkbox' id='followme' name='followhim' value='follow' checked> <?php print t('Follow') ?> </div>
    <div id="info-position">
      <?php print t('Last known position :'); ?>
      <span id="lat"> <?php print t('Unknown'); ?> </span> , <span id="lon"> <?php print t('Unknown'); ?> </span>
      </div>
      <div id="info-timestamp">
      <?php print t('Position is : '); ?> <span id="timestamp"> <?php print t('Unknown'); ?> </span>
    </div>
  </div>
  <div id="info-right" class="info-col">
    <div id="info-speed">
      <?php print t('Speed'); ?> : <span id="vitesse"> <?php print t('Unknown'); ?> </span> <?php print t('km/h'); ?>
    </div>
    <div id="info-altitude">
      <?php print t('Altitude'); ?> : <span id="altitude"> <?php print t('Unknown'); ?> </span> <?php print t('m'); ?>
    </div>
    <div id="info-vario">
      <?php print t('Variometer'); ?> : <span id="vario"> <?php print t('Unknown'); ?> </span> <?php print t('m/s'); ?>
    </div>
    <div id="info-precision">
        <?php print t('Position accuracy'); ?> : <span id="precision"> <?php print t('Unknown'); ?> </span> <?php print t('m'); ?>
    </div>
  </div>
</div>
